cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

Community Tip - Visit the PTCooler (the community lounge) to get to know your fellow community members and check out some of Dale's Friday Humor posts! X

Epic on Windows 7

ptc-1829109
1-Newbie

Epic on Windows 7

I'm getting an error when trying to install Epic 4.3 onto my new Windows 7 machine. It says I need either a 32 bit or a 64 bit compatible software. Please advise.
1 REPLY 1

4.3 is heavily outdated so it would be hard to find someone who is in "the same boat" as you and could possibly help. The best advice in this case is to use Editor 5.3 or 5.4 (not officially supported yet too, though, but work OK). If for some reason you're tied to 4.3, then Windows XP mode in Windows 7 could help.
Top Tags